> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opencharges.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Billing Codes

> Returns all Billing COdes from the system that the user has access to



## OpenAPI

````yaml GET /billing-codes
openapi: 3.1.0
info:
  title: OpenCharges API
  description: OpenCharges API specifications.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.opencharges.com/api/v1
security:
  - bearerAuth: []
paths:
  /billing-codes:
    get:
      description: Returns all Billing COdes from the system that the user has access to
      parameters:
        - name: page
          in: query
          description: The page number of the results to return.
          schema:
            type: integer
            format: int32
        - name: filter[code_type]
          in: query
          description: Filters by the Billing Codes `code_type`
          schema:
            type: string
        - name: filter[code]
          in: query
          description: Filters by the Billing Codes `code`.
          schema:
            type: string
        - name: filter[version]
          in: query
          description: Filters by the Billing Codes `version`
          schema:
            type: string
      responses:
        '200':
          description: Billing Code response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BillingCodeIndex'
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    BillingCodeIndex:
      type: object
      properties:
        id:
          description: The id for the Billing Code
          type: int
        code_type:
          description: The billing code type, such as MS-DRG, etc.
          type: string
        code:
          description: The billing code, for example 80061 for a lipid panel
          type:
            - string
        version:
          description: >-
            The billing code version, for example, using MS-DRGs, we can have
            version 42
          type:
            - string
        short_description:
          description: >-
            If the billing code has a `short_description`, it will use this
            field.
          type:
            - string
            - 'null'
        medium_description:
          description: >-
            If the billing code has a `medium_description`, it will use this
            field.
          type:
            - string
            - 'null'
        long_description:
          description: >-
            If the billing code has a `long_description`, it will use this
            field.
          type:
            - string
            - 'null'
    Error:
      required:
        - message
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````